exit命令 linux
2018-08-06 23:14:45 xieganyu3460 阅读数 267

exit命令同于退出shell,并返回给定值。在shell脚本中可以终止当前脚本执行。执行exit可使shell以指定的状态值退出。若不设置状态值参数,则shell以预设值退出。状态值0代表执行成功,其他值代表执行失败。

语法

exit(参数)

参数

返回值:指定shell返回值。

实例

退出当前shell:

[work@28-4-28 ~]$ exit
logout

在脚本中,进入脚本所在目录,否则退出:

cd $(dirname $0) || exit 1

在脚本中,判断参数数量,不匹配就打印使用方式,退出:

if [ "$#" -ne "2" ]; then
    echo "usage: $0 <area> <hours>"
    exit 2
fi

在脚本中,退出时删除临时文件:

trap "rm -f tmpfile; echo Bye." EXIT

检查上一命令的退出码:

./mycommand.sh
EXCODE=$?
if [ "$EXCODE" == "0" ]; then
    echo "O.K"
fi

转自:http://man.linuxde.net/exit

2013-09-22 12:49:09 boyxulin1986 阅读数 420

exit命令有两个作用:
1. 退出当前shell
sh-# exit
exit
INIT: Entering runlevel: 3

2. 在shell script中直接退出,这样我们写shell scripts时就可以借助于特定的
退出码来表示scripts的执行状况。
sh-# touch /test_exit.sh
sh-# cat /test_exit.sh
#!/bin/sh
exit 127

sh-# ls -l /test_exit.sh
-rwxr-xr-x 1 root root 24 Jan  1 00:04 /test_exit.sh
sh-# $?
sh: 0: command not found
sh-# /test_exit.sh
sh-# $?
sh: 127: command not found
sh-# echo "exit 126" > /test_exit.sh
sh-# cat /test_exit.sh
exit 126
sh-# /test_exit.sh
sh-# $?
sh: 126: command not found
sh-# vim
sh: vim: command not found
sh-# $?
sh: 127: command not found

关于退出码的约定:
通常0,表示命令执行成功;
非0,表示命令执行失败。

待解决问题:
在shell下执行exit退出当前shell后,如何才能再进入Linux shell?

2016-11-23 18:39:00 weixin_33994444 阅读数 2
用途说明
exit命令用于退出当前shell,在shell脚本中可以终止当前脚本执行
 
常用参数
格式:exit n
退出。设置退出码为n
 
格式:exit
退出。退出码不变,即为最后一个命令的退出码
 
格式:$?
上一个命令的退出码

退出码(exit status或exit code)的约定
0表示成功(Zero - Success)
非0表示失败(Non-Zero  - Failure)
2表示用法不当(Incorrect Usage)
127表示命令没有找到(Command Not Found)
126表示不是可执行的(Not an executable)
>=128 信号产生


原贴地址:http://blog.163.com/bobile45@126/blog/static/96061992201311712658570/
2016-11-23 18:39:51 woshixuye 阅读数 7159
用途说明
exit命令用于退出当前shell,在shell脚本中可以终止当前脚本执行
 
常用参数
格式:exit n
退出。设置退出码为n
 
格式:exit
退出。退出码不变,即为最后一个命令的退出码
 
格式:$?
上一个命令的退出码

退出码(exit status或exit code)的约定
0表示成功(Zero - Success)
非0表示失败(Non-Zero  - Failure)
2表示用法不当(Incorrect Usage)
127表示命令没有找到(Command Not Found)
126表示不是可执行的(Not an executable)
>=128 信号产生


原贴地址:http://blog.163.com/bobile45@126/blog/static/96061992201311712658570/
2019-04-22 18:18:32 qq_44884300 阅读数 37

首先给大家分享一个巨牛巨牛的人工智能教程,是我无意中发现的。教程不仅零基础,通俗易懂,而且非常风趣幽默,还时不时有内涵段子,像看小说一样,哈哈~我正在学习中,觉得太牛了,所以分享给大家!点这里可以跳转到教程

                用途说明
exit命令用于退出当前shell,在shell脚本中可以终止当前脚本执行
 
常用参数
格式:exit n
退出。设置退出码为n
 
格式:exit
退出。退出码不变,即为最后一个命令的退出码
 
格式:$?
上一个命令的退出码

退出码(exit status或exit code)的约定
0表示成功(Zero - Success)
非0表示失败(Non-Zero  - Failure)
2表示用法不当(Incorrect Usage)
127表示命令没有找到(Command Not Found)
126表示不是可执行的(Not an executable)
>=128 信号产生


原贴地址:http://blog.163.com/bobile45@126/blog/static/96061992201311712658570/
           

浏览人工智能教程

linux exit和_exit

阅读数 375

linux exit和_exit详解

阅读数 808

没有更多推荐了,返回首页